echo off

REM This script launches the IButtonReader script on Windows
REM It expects a file called ibuttonreader.properties in the current working directory

echo "Launching iButtonReader"

set propertylocation=ibuttonreader.properties
IF NOT EXIST %propertylocation% goto missingprops

java -classpath ".;lib\json-20180813.jar;lib\OneWireAPI.jar;lib\IButtonReader.jar" -Dproperties.location=%propertylocation% de.salfner.IButtonReader
echo "finished reading iButton"
timeout 10
goto end


:missingprops
cls
echo could not find file %propertylocation%. Create a file based on the sample file provided. 
pause

:end
echo on

